// creator  : weidu.exe (version 23100)
// argument : _MIRIAN.DLG
// game		 : .
// source	 : ./override/_MIRIAN.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_MIRIAN~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #75613 /* ~My husband had to make a sudden business trip to Amn and I'm so worried for him. "Mirianne," he always said. "Mirianne, who knows the road better than old Roe?" But the highways just aren't as safe as they once were and there hasn't been a messenger from Amn here in months. Could you keep your eyes open along the southern roads and let me know if you find anything?~ */
  IF ~~ THEN UNSOLVED_JOURNAL #75614 /* ~Mirianne's husband

I was moved by the pleas of Mirianne of Beregost, today.  Her husband, Roe, had to make a trip south to Amn and she is understandably worried for his safety.  I have sworn to keep my eyes open for any news of relevance I might encounter in my journeys down that road.~ */ EXIT
  IF ~Global("X#MIRIAN0","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MIRIAN0","GLOBAL",1)~ EXTERN ~_AJANTJ~ 292
  IF ~Global("X#MIRIAN0","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MIRIAN0","GLOBAL",1)~ GOTO 8
  IF ~Global("X#MIRIAN0","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MIRIAN0","GLOBAL",1)~ EXTERN ~_KIVANJ~ 409
END

IF ~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
PartyHasItem("_SCRL3I")
~ THEN BEGIN 1 // from:
  SAY #75615 /* ~"My dearest Mirianne,
     "The road has been difficult but I have arrived safely here in Amn. I think it would be wisest if I returned by sea, however, perhaps sometime after the first snows have fallen. I trust this letter reaches you. The halfling I hired to carry it struck me as an honest enough chap.
                                Always and forever,
                                    Roe..."
                                    
     Oh, thank you for such good tidings. Please, let me give you this ring to keep you safe in your travels.~ */
  IF ~~ THEN DO ~GiveItem("_RING06",LastTalkedToBy)
TakePartyItem("_SCRL3I")
AddexperienceParty(300)
EraseJournalEntry(75614)
EraseJournalEntry(75619)
~ SOLVED_JOURNAL #75616 /* ~Mirianne's husband

I have completed the task that a nameless halfling messenger, now dead and mourned, started deep in the heart of Amn.  Mirianne has received her husband's letter by my hand, and I am glad to hear that it bears good tidings of his safety.  I am humbled by her offer of a simple ring to keep me safe.  Be it magic or superstition, I know not, but I will wear it, at least, to remember her by.~ */ EXIT
  IF ~Global("X#KivMirian2","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#KivMirian2","GLOBAL",1)~ EXTERN ~_KIVANJ~ 209
END

IF ~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
PartyHasItem("_SCRL3I")
~ THEN BEGIN 2 // from:
  SAY #75615 /* ~"My dearest Mirianne,
     "The road has been difficult but I have arrived safely here in Amn. I think it would be wisest if I returned by sea, however, perhaps sometime after the first snows have fallen. I trust this letter reaches you. The halfling I hired to carry it struck me as an honest enough chap.
                                Always and forever,
                                    Roe..."
                                    
     Oh, thank you for such good tidings. Please, let me give you this ring to keep you safe in your travels.~ */
  IF ~~ THEN DO ~GiveItem("_RING06",LastTalkedToBy)
TakePartyItem("_SCRL3I")
AddexperienceParty(300)
EraseJournalEntry(75614)
EraseJournalEntry(75619)
~ SOLVED_JOURNAL #75616 /* ~Mirianne's husband

I have completed the task that a nameless halfling messenger, now dead and mourned, started deep in the heart of Amn.  Mirianne has received her husband's letter by my hand, and I am glad to hear that it bears good tidings of his safety.  I am humbled by her offer of a simple ring to keep me safe.  Be it magic or superstition, I know not, but I will wear it, at least, to remember her by.~ */ EXIT
  IF ~Global("X#KivMirian3","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#KivMirian3","GLOBAL",1)~ EXTERN ~_KIVANJ~ 208
END

IF ~False()
~ THEN BEGIN 3 // from:
  SAY #75617 /* ~Is nowhere safe from you brigands??~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 4 // from:
  SAY #75618 /* ~Take care of yourself out there, friend.~ */
  IF ~~ THEN EXIT
END

IF ~False()
~ THEN BEGIN 5 // from:
  SAY #74023 /* ~~ */
  IF ~~ THEN UNSOLVED_JOURNAL #75619 /* ~Mirianne's letter

After scaring off a band of ogres along the road to Amn, I found a letter sewn into the vest of their unfortunate victim, a halfling messenger. It is from someone named Roe and is addressed to Mirianne of Beregost.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: _KIVANJ:208.1
  SAY #98909 /* ~I am, and thank you for your help!~ */
  IF ~~ THEN DO ~GiveItem("_RING06",LastTalkedToBy)
TakePartyItem("_SCRL3I")
AddexperienceParty(300)
EraseJournalEntry(75614)
EraseJournalEntry(75619)
~ SOLVED_JOURNAL #75616 /* ~Mirianne's husband

I have completed the task that a nameless halfling messenger, now dead and mourned, started deep in the heart of Amn.  Mirianne has received her husband's letter by my hand, and I am glad to hear that it bears good tidings of his safety.  I am humbled by her offer of a simple ring to keep me safe.  Be it magic or superstition, I know not, but I will wear it, at least, to remember her by.~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from: _KIVANJ:209.1
  SAY #98909 /* ~I am, and thank you for your help!~ */
  IF ~~ THEN DO ~GiveItem("_RING06",LastTalkedToBy)
TakePartyItem("_SCRL3I")
AddexperienceParty(300)
EraseJournalEntry(75614)
EraseJournalEntry(75619)
~ SOLVED_JOURNAL #75616 /* ~Mirianne's husband

I have completed the task that a nameless halfling messenger, now dead and mourned, started deep in the heart of Amn.  Mirianne has received her husband's letter by my hand, and I am glad to hear that it bears good tidings of his safety.  I am humbled by her offer of a simple ring to keep me safe.  Be it magic or superstition, I know not, but I will wear it, at least, to remember her by.~ */ EXIT
END

IF ~~ THEN BEGIN 8 // from: 0.2
  SAY #103705 /* ~Thank you, my good elf.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #75614 /* ~Mirianne's husband

I was moved by the pleas of Mirianne of Beregost, today.  Her husband, Roe, had to make a trip south to Amn and she is understandably worried for his safety.  I have sworn to keep my eyes open for any news of relevance I might encounter in my journeys down that road.~ */ EXIT
  IF ~  InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN EXTERN ~_AJANTJ~ 293
END

IF ~~ THEN BEGIN 9 // from: _KIVANJ:409.2
  SAY #103705 /* ~Thank you, my good elf.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #75614 /* ~Mirianne's husband

I was moved by the pleas of Mirianne of Beregost, today.  Her husband, Roe, had to make a trip south to Amn and she is understandably worried for his safety.  I have sworn to keep my eyes open for any news of relevance I might encounter in my journeys down that road.~ */ EXIT
  IF ~  InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN EXTERN ~_AJANTJ~ 294
END
